Package oasis.names.tc.saml._2_0.assertion

# Class AuthnStatement

java.lang.Object
oasis.names.tc.saml._2_0.assertion.StatementAbstractType
oasis.names.tc.saml._2_0.assertion.AuthnStatement

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AuthnStatement extends StatementAbstractType implements Serializable

Java class for AuthnStatementType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthnStatementType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectLocality" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContext"/>
           </sequence>
           <attribute name="AuthnInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="SessionIndex" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="SessionNotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthnStatement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthnContext`
  `getAuthnContext()`
  Gets the value of the authnContext property.
  `Instant`
  `getAuthnInstant()`
  Gets the value of the authnInstant property.
  `String`
  `getSessionIndex()`
  Gets the value of the sessionIndex property.
  `Instant`
  `getSessionNotOnOrAfter()`
  Gets the value of the sessionNotOnOrAfter property.
  `SubjectLocality`
  `getSubjectLocality()`
  Gets the value of the subjectLocality property.
  `void`
  `setAuthnContext(AuthnContext value)`
  Sets the value of the authnContext property.
  `void`
  `setAuthnInstant(Instant value)`
  Sets the value of the authnInstant property.
  `void`
  `setSessionIndex(String value)`
  Sets the value of the sessionIndex property.
  `void`
  `setSessionNotOnOrAfter(Instant value)`
  Sets the value of the sessionNotOnOrAfter property.
  `void`
  `setSubjectLocality(SubjectLocality value)`
  Sets the value of the subjectLocality property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthnStatement

    public AuthnStatement()

- ## Method Details

  - ### getSubjectLocality

    public SubjectLocality getSubjectLocality()
    Gets the value of the subjectLocality property.
    Returns:
      possible object is `SubjectLocality`

  - ### setSubjectLocality

    public void setSubjectLocality(SubjectLocality value)
    Sets the value of the subjectLocality property.
    Parameters:
      `value` - allowed object is `SubjectLocality`

  - ### getAuthnContext

    public AuthnContext getAuthnContext()
    Gets the value of the authnContext property.
    Returns:
      possible object is `AuthnContext`

  - ### setAuthnContext

    public void setAuthnContext(AuthnContext value)
    Sets the value of the authnContext property.
    Parameters:
      `value` - allowed object is `AuthnContext`

  - ### getAuthnInstant

    public Instant getAuthnInstant()
    Gets the value of the authnInstant property.
    Returns:
      possible object is `String`

  - ### setAuthnInstant

    public void setAuthnInstant(Instant value)
    Sets the value of the authnInstant property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSessionIndex

    public String getSessionIndex()
    Gets the value of the sessionIndex property.
    Returns:
      possible object is `String`

  - ### setSessionIndex

    public void setSessionIndex(String value)
    Sets the value of the sessionIndex property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSessionNotOnOrAfter

    public Instant getSessionNotOnOrAfter()
    Gets the value of the sessionNotOnOrAfter property.
    Returns:
      possible object is `String`

  - ### setSessionNotOnOrAfter

    public void setSessionNotOnOrAfter(Instant value)
    Sets the value of the sessionNotOnOrAfter property.
    Parameters:
      `value` - allowed object is `String`